Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
CClassNode Struct Reference

`#include <regint.h>`

## Data Fields
NodeBase | base
unsigned int | flags
BitSet | bs
BBuf * | mbuf

## Detailed Description

Definition at line 776 of file regint.h.

## Field Documentation

NodeBase CClassNode::base

Definition at line 777 of file regint.h.

BitSet CClassNode::bs

Definition at line 779 of file regint.h.

Referenced by add_ctype_to_cc(), add_ctype_to_cc_by_range(), and_cclass(), compile_cclass_node(), compile_length_cclass_node(), i_apply_case_fold(), initialize_cclass(), is_not_included(), is_onechar_cclass(), next_state_class(), next_state_val(), node_linebreak(), node_new_cclass_by_codepoint_range(), onig_is_code_in_cc_len(), optimize_node_left(), or_cclass(), and parse_char_class().

unsigned int CClassNode::flags

Definition at line 778 of file regint.h.

Referenced by initialize_cclass().

BBuf* CClassNode::mbuf

Definition at line 780 of file regint.h.

Referenced by add_ctype_to_cc(), add_ctype_to_cc_by_range(), and_cclass(), compile_cclass_node(), compile_length_cclass_node(), i_apply_case_fold(), i_free_shared_class(), initialize_cclass(), is_not_included(), is_onechar_cclass(), next_state_class(), next_state_val(), node_linebreak(), node_new_cclass_by_codepoint_range(), onig_is_code_in_cc_len(), onig_node_free(), optimize_node_left(), or_cclass(), and parse_char_class().

The documentation for this struct was generated from the following file:

- regint.h